com.google.gwt.core.shared

## Class GWTBridge

- java.lang.Object
- - com.google.gwt.core.shared.GWTBridge

Direct Known Subclasses:
  GWTBridge, ServerGwtBridge

    public abstract class GWTBridge
    extends java.lang.Object

When running in Development Mode, acts as a bridge from GWT into the Development Mode environment.

### Constructor Summary

Constructors
Constructor and Description
`GWTBridge()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract <T> T` `create(java.lang.Class<?> classLiteral)`
`java.lang.String` `getThreadUniqueID()`
`abstract java.lang.String` `getVersion()`
`abstract boolean` `isClient()`
`abstract void` `log(java.lang.String message, java.lang.Throwable e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GWTBridge

    public GWTBridge()

### Method Detail

#### create

    public abstract <T> T create(java.lang.Class<?> classLiteral)

#### getThreadUniqueID

    public java.lang.String getThreadUniqueID()

#### getVersion

    public abstract java.lang.String getVersion()

#### isClient

    public abstract boolean isClient()

#### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable e)